@use './styles/layout-block.variables' as *;
@use './styles/layout-block.variations' as variations;

:host {
  @include digi-layout-block--variables;

  display: block;

  .digi-layout-block {

    &--transparent {
      --BACKGROUND: transparent;
    }

    &--primary {
      @include variations.primary;
    }

    &--secondary {
      @include variations.secondary;
    }

    &--tertiary {
      @include variations.tertiary;
    }

    &--symbol {
      @include variations.symbol;
    }

    &--profile {
      @include variations.profile;
    }

    background: var(--BACKGROUND);
  }
}
